Makeathon ends in00:00:00:00
Docs Home
/
Zoo Developer Tools
/
API
/
Orgs
/
Create an org OAuth app.

Create an org OAuth app

Parameters

Name

Type

Req.

  • bodyapplication/json

    object
    optional
    Object Properties
    • grant_types

      array
      optional
    • mode

      string
      optional
      Possible values
      • development:  Development mode permits HTTPS redirect URIs and local HTTP redirect URIs. Only the app owner, or an org admin for organization apps, can authorize development apps.
      • production:  Production mode only permits secure non-local redirect URIs.
    • name

      string
      optional
    • redirect_uris

      array
      optional

Returns

  • 201 Created

    successful creation

    Name

    Type

    Req.

    body

    object
    optional
    Object Properties
    • client_id

      string / UUID
      optional
    • client_type

      string
      optional
      Possible values
      • public:  A public client.
      • confidential:  A confidential client.
    • created_at

      string / ISO-8601
      optional
    • first_party

      boolean
      optional
    • grant_types

      array
      optional
    • is_active

      boolean
      optional
    • mode

      string
      optional
      Possible values
      • development:  Development mode permits HTTPS redirect URIs and local HTTP redirect URIs. Only the app owner, or an org admin for organization apps, can authorize development apps.
      • production:  Production mode only permits secure non-local redirect URIs.
    • name

      string
      optional
    • redirect_uris

      array
      optional
    • updated_at

      string / ISO-8601
      optional
post
/org/oauth2/apps
201 Created
Response